<?php

/**
 * Dynamic CSS
 */
function burger_joint_dynamic_css() {
	$burger_joint_primary_color = get_theme_mod( 'burger_joint_primary_color', '#FF4500' );
	$burger_joint_secondary_color = get_theme_mod( 'burger_joint_secondary_color', '#FFD700' );

	$burger_joint_site_title_font       = get_theme_mod( 'burger_joint_site_title_font', 'Jost' );
	$burger_joint_site_description_font = get_theme_mod( 'burger_joint_site_description_font', 'Jost' );
	$burger_joint_header_font           = get_theme_mod( 'burger_joint_header_font', 'Bebas Neue' );
	$burger_joint_content_font             = get_theme_mod( 'burger_joint_content_font', 'Jost' );

	// Enqueue Google Fonts
	$fonts_url = burger_joint_get_fonts_url();
	if ( ! empty( $fonts_url ) ) {
		wp_enqueue_style( 'burger-joint-google-fonts', esc_url( $fonts_url ), array(), null );
	}

	$burger_joint_custom_css  = '';
	$burger_joint_custom_css .= '
    /* Color */
    :root {
        --primary-color: ' . esc_attr( $burger_joint_primary_color ) . ';
		--secondary-color: ' . esc_attr( $burger_joint_secondary_color ) . ';
        --header-text-color: ' . esc_attr( '#' . get_header_textcolor() ) . ';
    }
    ';

	$burger_joint_custom_css .= '
    /* Typography */
    :root {
        --font-heading: "' . esc_attr( $burger_joint_header_font ) . '", serif;
        --font-main: -apple-system, BlinkMacSystemFont, "' . esc_attr( $burger_joint_content_font ) . '", "Segoe UI",Raleway, Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
    }

    body,
	button, input, select, optgroup, textarea, p {
        font-family: "' . esc_attr( $burger_joint_content_font ) . '", serif;
	}

	.site-identity p.site-title, h1.site-title a, h1.site-title, p.site-title a, .site-branding h1.site-title a {
        font-family: "' . esc_attr( $burger_joint_site_title_font ) . '", serif;
	}
    
	p.site-description {
        font-family: "' . esc_attr( $burger_joint_site_description_font ) . '", serif !important;
	}
    ';

	wp_add_inline_style( 'burger-joint-style', $burger_joint_custom_css );
}
add_action( 'wp_enqueue_scripts', 'burger_joint_dynamic_css', 99 );